Summary: Tools for managing Linux kernel packet filtering capabilities.
Name: ipchains
Version: 1.3.10
Release: 3tr
Copyright: GPL
Obsoletes: ipfwadm ipchains-scripts
Group: Network/Administration
Source0: http://netfilter.firewatcher.org/ipchains/ipchains-%{version}.tar.gz
Source1: http://netfilter.firewatcher.org/ipchains/ipchains-scripts-1.1.2.tar.gz
# Real name is "HOWTO.txt", but is a bit too generic
Source2: http://netfilter.firewatcher.org/ipchains/ipchains-HOWTO-1.0.8.txt
Source3: ipchains.init
Buildroot: /var/tmp/%{name}-root
Prereq: /sbin/chkconfig

%description 
Linux IP Firewalling Chains is an update to (and hopefully an
improvement upon) the Linux kernel packet filtering code. Ipchains
allows you to set up firewalls and IP masquerading, etc.

Install ipchains if you need to set up firewalling for your
network. You may also want to install ipchains-scripts.

%prep
%setup -q -a 1

%build
COPTS=$RPM_OPT_FLAGS make -e
install -m 644 %{SOURCE2} HOWTO.txt
perl -pi -e 's/.//g' HOWTO.txt

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{sbin,usr/share/man/man4,usr/share/man/man8}

make install SBIN=$RPM_BUILD_ROOT/sbin MANDIR=$RPM_BUILD_ROOT/usr/share/man
cp ipchains-scripts-1.1.2/{ipchains-restore,ipchains-save} $RPM_BUILD_ROOT/sbin
cp ipchains-scripts-1.1.2/ipfwadm-wrapper $RPM_BUILD_ROOT/sbin/ipfwadm
ln -sf ipfwadm $RPM_BUILD_ROOT/sbin/ipfwadm-wrapper
cp ipchains-scripts-1.1.2/{ipchains-restore.8,ipchains-save.8,ipfwadm-wrapper.8} $RPM_BUILD_ROOT/usr/share/man/man8

install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/ipchains

strip $RPM_BUILD_ROOT/sbin/ipchains

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ $1 = 0 ] ; then
   /sbin/chkconfig --del ipchains
fi

%files
%defattr(-,root,root)
%doc *HOWTO*
%doc COPYING README ipchains-quickref.ps
%config /etc/rc.d/init.d/ipchains
/sbin/*
/usr/share/man/man*/*

%changelog
* Wed Nov 29 2000 Erlend Midttun <erlendbm@trustix.com>
- Fixed tupo in Group.  Thanks to Janke Ronnblom,
  <jan-ake.ronnblom@skeria.skelleftea.se> for pointing it out.

* Thu Nov 16 2000 Erlend Midttun <erlendbm@trustix.com>
- Updated to 1.3.10

* Thu Apr 13 2000 Erlend Midttun <erlendbm@trustix.com>
- Moved man pages
- Removed autostart

* Wed Feb 16 2000 Cristian Gafton <gafton@redhat.com>
- fix stupid typo in the preun script

* Tue Feb 01 2000 Cristian Gafton <gafton@redhat.com>
- add the initscript from joshua
- remove uselss define version
- add %post and %preun

* Mon Sep 20 1999 Bill Nottingham <notting@redhat.com>
- strip binary

* Mon Aug 23 1999 Jeff Johnson <jbj@redhat.com>
- nuke backspaces in HOWTO.txt (#4249).

* Mon May 31 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.9.

* Tue May 25 1999 Michael K. Johnson <johnsonm@redhat.com>
- new ipchains-scripts release 1.1.2
- ipfwadm-wrapper should be called ipfwadm with symlink to old name
  (users can install old ipfwadm as ipfwadm.real if they wish)

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- obsolete phantom ipchains-scripts package that's been floating around...

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Nov 17 1998 Preston Brown <pbrown@redhat.com>
- initial cut.
